Bug 485540 - Regression: "swig -ocaml -co swig.mli" broken
Regression: "swig -ocaml -co swig.mli" broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: swig (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 20:04 EST by John Ellson
Modified: 2013-04-30 19:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 10:42:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2009-02-13 20:04:40 EST
Description of problem:
The behavior of:
   swig -ocaml -co swig.mli
and also
   swig -ocaml -co swig.ml
has changed and seems broken.   It used to drop a copy of the swig.mli
into the current directory.  Now I get an error message and no file.

This breaks graphviz builds. 

Version-Release number of selected component (if applicable):
swig-1.3.38-1.fc11

How reproducible:
100%

Steps to Reproduce:
1. rm -f swig.ml*
2. swig -ocaml -co swig.mli
3.
  
Actual results:
"File 'swig.mli' already exists. Checkout aborted."


Expected results:
Copy of swig.mli dropped into the current directory.
(Similarly for swig.ml)

Additional info:
Reverting to swig-1.3.36-2.fc11 from koji provides a workaround.
Comment 1 Adam Tkac 2009-02-16 10:42:15 EST
Fixed in swig-1.3.38-2.fc11, thank you for report.

Note You need to log in before you can comment on or make changes to this bug.